#version 330

uniform mat4x4 ModelViewProjectionMatrix;

layout (location = 0) in vec3 vert_Position;

out vec3 TexCoord;

void main()
{
	TexCoord = vec3(vert_Position.x, -vert_Position.yz);
	gl_Position = ModelViewProjectionMatrix * vec4(vert_Position, 1.0);
}
